Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1
Class StandardType

    java.lang.Object
      be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1.StandardType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T04:58:35+01:00",
               comments="JAXB RI v2.2.11")
    public class StandardType

extends Object
implements Serializable

to specify the version of the kmehr specification to which this message complies

Java class for standardType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="standardType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="cd" type="{http://www.ehealth.fgov.be/standards/kmehr/cd/v1}CD-STANDARD"/>
             <element name="specialisation" minOccurs="0">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <sequence>
                       <element name="cd" type="{http://www.ehealth.fgov.be/standards/kmehr/cd/v1}CD-MESSAGE"/>
                       <element name="version" type="{http://www.w3.org/2001/XMLSchema}string"/>
                     </sequence>
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`StandardType()`

Method Summary
`CDSTANDARD` | `getCd()` Gets the value of the cd property.
`Specialisation` | `getSpecialisation()` Gets the value of the specialisation property.
`void` | `setCd(CDSTANDARD value)` Sets the value of the cd property.
`void` | `setSpecialisation(Specialisation value)` Sets the value of the specialisation property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StandardType

    public StandardType()

Method Detail

### getCd

    public CDSTANDARD getCd()

  Gets the value of the cd property.

  Returns:
    possible object is `CDSTANDARD`

### setCd

    public void setCd(CDSTANDARD value)

  Sets the value of the cd property.

  Parameters:
    `value` - allowed object is `CDSTANDARD`

### getSpecialisation

    public Specialisation getSpecialisation()

  Gets the value of the specialisation property.

  Returns:
    possible object is `Specialisation`

### setSpecialisation

    public void setSpecialisation(Specialisation value)

  Sets the value of the specialisation property.

  Parameters:
    `value` - allowed object is `Specialisation`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.